net.sourceforge.pmd.jaxen

## Class MatchesFunctionTest

- java.lang.Object
- - net.sourceforge.pmd.jaxen.MatchesFunctionTest

-     public class MatchesFunctionTest
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MatchesFunctionTest.MyNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchesFunctionTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testMatch()`
    `void` | `testNoMatch()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatchesFunctionTest

          public MatchesFunctionTest()

  - ### Method Detail

    - #### testMatch

          public void testMatch()
                         throws org.jaxen.FunctionCallException,
                                NoSuchMethodException

      Throws:
        `org.jaxen.FunctionCallException`
        `NoSuchMethodException`

    - #### testNoMatch

          public void testNoMatch()
                           throws org.jaxen.FunctionCallException,
                                  NoSuchMethodException

      Throws:
        `org.jaxen.FunctionCallException`
        `NoSuchMethodException`

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.